Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.commands
Enum AdHocCommand.Status

    java.lang.Object
      java.lang.Enum<AdHocCommand.Status>
          org.jivesoftware.openfire.commands.AdHocCommand.Status

All Implemented Interfaces:
  Serializable, Comparable<AdHocCommand.Status>

Enclosing class:
  AdHocCommand

    public static enum AdHocCommand.Status

extends Enum<AdHocCommand.Status>

Enum Constant Summary
`canceled` The command has been canceled.
`completed` The command has completed.
`executing` The command is being executed.

Method Summary
`static AdHocCommand.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AdHocCommand.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### executing

    public static final AdHocCommand.Status executing

  The command is being executed.

### completed

    public static final AdHocCommand.Status completed

  The command has completed. The command session has ended.

### canceled

    public static final AdHocCommand.Status canceled

  The command has been canceled. The command session has ended.

Method Detail

### values

    public static final AdHocCommand.Status[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AdHocCommand.Status c : AdHocCommand.Status.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AdHocCommand.Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.